Subject: Re: [PATCH net-next v1 00/11] net: pktgen: fix checkpatch code style errors/warnings

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 10 Apr 2025 13:24:41 +0200

Peter Seiderer <[email-masked]> writes:

> Fix checkpatch detected code style errors/warnings detected in
> the file net/core/pktgen.c (remaining checkpatch checks will be addressed
> in a follow up patch set).
>
> Peter Seiderer (11):
>   net: pktgen: fix code style (ERROR: "foo * bar" should be "foo *bar")
>   net: pktgen: fix code style (ERROR: space prohibited after that '&')
>   net: pktgen: fix code style (ERROR: else should follow close brace
>     '}')
>   net: pktgen: fix code style (WARNING: please, no space before tabs)
>   net: pktgen: fix code style (WARNING: suspect code indent for
>     conditional statements)
>   net: pktgen: fix code style (WARNING: Block comments)
>   net: pktgen: fix code style (WARNING: Missing a blank line after
>     declarations)
>   net: pktgen: fix code style (WARNING: macros should not use a trailing
>     semicolon)
>   net: pktgen: fix code style (WARNING: braces {} are not necessary for
>     single statement blocks)
>   net: pktgen: fix code style (WARNING: quoted string split across
>     lines)
>   net: pktgen: fix code style (WARNING: Prefer strscpy over strcpy)
>
>  net/core/pktgen.c | 111 ++++++++++++++++++++++++++--------------------
>  1 file changed, 64 insertions(+), 47 deletions(-)

Most of these are pretty marginal improvements, so I'm a little on the
fence about whether they are worth it. But, well, they do improve things
slightly, so if the maintainers are OK with the churn:

Reviewed-by: Toke Høiland-Jørgensen <[email-masked]>